Index: /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90
===================================================================
--- /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90	(revision 9305)
+++ /branches/UKMO/dev_r5518_obs_oper_update/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90	(revision 9306)
@@ -793,27 +1206,186 @@
                ENDIF
 
-            CASE('logchl')
-#if defined key_hadocc
-               zsurfvar(:,:) = HADOCC_CHL(:,:,1)    ! (not log) chlorophyll from HadOCC
+            CASE('slchltot')
+#if defined key_hadocc
+               ! Surface chlorophyll from HadOCC
+               zsurfvar(:,:) = HADOCC_CHL(:,:,1)
 #elif defined key_medusa && defined key_foam_medusa
                ! Add non-diatom and diatom surface chlorophyll from MEDUSA
                zsurfvar(:,:) = trn(:,:,1,jpchn) + trn(:,:,1,jpchd)
 #elif defined key_fabm
-               chl_3d(:,:,:) = fabm_get_bulk_diagnostic_data(model, jp_fabmdia_chltot)
-               zsurfvar(:,:) = chl_3d(:,:,1)
-#else
-               CALL ctl_stop( ' Trying to run logchl observation operator', &
-                  &           ' but no biogeochemical model appears to have been defined' )
-#endif
-               zsurfmask(:,:) = tmask(:,:,1)         ! create a special mask to exclude certain things
-               ! Take the log10 where we can, otherwise exclude
-               tiny = 1.0e-20
-               WHERE(zsurfvar(:,:) > tiny .AND. zsurfvar(:,:) /= obfillflt )
-                  zsurfvar(:,:)  = LOG10(zsurfvar(:,:))
-               ELSEWHERE
-                  zsurfvar(:,:)  = obfillflt
-                  zsurfmask(:,:) = 0
-               END WHERE
-            CASE('spm')
+               ! Add all surface chlorophyll groups from ERSEM
+               zsurfvar(:,:) = trn(:,:,1,jp_fabm_chl1) + trn(:,:,1,jp_fabm_chl2) + &
+                  &            trn(:,:,1,jp_fabm_chl3) + trn(:,:,1,jp_fabm_chl4)
+#else
+               CALL ctl_stop( ' Trying to run slchltot observation operator', &
+                  &           ' but no biogeochemical model appears to have been defined' )
+#endif
+               llog10 = .TRUE.
+
+            CASE('slchldia')
+#if defined key_hadocc
+               CALL ctl_stop( ' Trying to run slchldia observation operator', &
+                  &           ' but HadOCC does not explicitly simulate diatoms' )
+#elif defined key_medusa && defined key_foam_medusa
+               ! Diatom surface chlorophyll from MEDUSA
+               zsurfvar(:,:) = trn(:,:,1,jpchd)
+#elif defined key_fabm
+               ! Diatom surface chlorophyll from ERSEM
+               zsurfvar(:,:) = trn(:,:,1,jp_fabm_chl1)
+#else
+               CALL ctl_stop( ' Trying to run slchldia observation operator', &
+                  &           ' but no biogeochemical model appears to have been defined' )
+#endif
+               llog10 = .TRUE.
+
+            CASE('slchlnon')
+#if defined key_hadocc
+               CALL ctl_stop( ' Trying to run slchlnon observation operator', &
+                  &           ' but HadOCC does not explicitly simulate non-diatoms' )
+#elif defined key_medusa && defined key_foam_medusa
+               ! Non-diatom surface chlorophyll from MEDUSA
+               zsurfvar(:,:) = trn(:,:,1,jpchn)
+#elif defined key_fabm
+               ! Add all non-diatom surface chlorophyll groups from ERSEM
+               zsurfvar(:,:) = trn(:,:,1,jp_fabm_chl2) + &
+                  &            trn(:,:,1,jp_fabm_chl3) + trn(:,:,1,jp_fabm_chl4)
+#else
+               CALL ctl_stop( ' Trying to run slchlnon observation operator', &
+                  &           ' but no biogeochemical model appears to have been defined' )
+#endif
+               llog10 = .TRUE.
+
+            CASE('slchldin')
+#if defined key_hadocc
+               CALL ctl_stop( ' Trying to run slchldin observation operator', &
+                  &           ' but HadOCC does not explicitly simulate dinoflagellates' )
+#elif defined key_medusa && defined key_foam_medusa
+               CALL ctl_stop( ' Trying to run slchldin observation operator', &
+                  &           ' but MEDUSA does not explicitly simulate dinoflagellates' )
+#elif defined key_fabm
+               ! Dinoflagellate surface chlorophyll from ERSEM
+               zsurfvar(:,:) = trn(:,:,1,jp_fabm_chl4)
+#else
+               CALL ctl_stop( ' Trying to run slchldin observation operator', &
+                  &           ' but no biogeochemical model appears to have been defined' )
+#endif
+               llog10 = .TRUE.
+
+            CASE('slchlmic')
+#if defined key_hadocc
+               CALL ctl_stop( ' Trying to run slchlmic observation operator', &
+                  &           ' but HadOCC does not explicitly simulate microphytoplankton' )
+#elif defined key_medusa && defined key_foam_medusa
+               CALL ctl_stop( ' Trying to run slchlmic observation operator', &
+                  &           ' but MEDUSA does not explicitly simulate microphytoplankton' )
+#elif defined key_fabm
+               ! Add diatom and dinoflagellate surface chlorophyll from ERSEM
+               zsurfvar(:,:) = trn(:,:,1,jp_fabm_chl1) + trn(:,:,1,jp_fabm_chl4)
+#else
+               CALL ctl_stop( ' Trying to run slchlmic observation operator', &
+                  &           ' but no biogeochemical model appears to have been defined' )
+#endif
+               llog10 = .TRUE.
+
+            CASE('slchlnan')
+#if defined key_hadocc
+               CALL ctl_stop( ' Trying to run slchlnan observation operator', &
+                  &           ' but HadOCC does not explicitly simulate nanophytoplankton' )
+#elif defined key_medusa && defined key_foam_medusa
+               CALL ctl_stop( ' Trying to run slchlnan observation operator', &
+                  &           ' but MEDUSA does not explicitly simulate nanophytoplankton' )
+#elif defined key_fabm
+               ! Nanophytoplankton surface chlorophyll from ERSEM
+               zsurfvar(:,:) = trn(:,:,1,jp_fabm_chl2)
+#else
+               CALL ctl_stop( ' Trying to run slchlnan observation operator', &
+                  &           ' but no biogeochemical model appears to have been defined' )
+#endif
+               llog10 = .TRUE.
+
+            CASE('slchlpic')
+#if defined key_hadocc
+               CALL ctl_stop( ' Trying to run slchlpic observation operator', &
+                  &           ' but HadOCC does not explicitly simulate picophytoplankton' )
+#elif defined key_medusa && defined key_foam_medusa
+               CALL ctl_stop( ' Trying to run slchlpic observation operator', &
+                  &           ' but MEDUSA does not explicitly simulate picophytoplankton' )
+#elif defined key_fabm
+               ! Picophytoplankton surface chlorophyll from ERSEM
+               zsurfvar(:,:) = trn(:,:,1,jp_fabm_chl3)
+#else
+               CALL ctl_stop( ' Trying to run slchlpic observation operator', &
+                  &           ' but no biogeochemical model appears to have been defined' )
+#endif
+               llog10 = .TRUE.
+
+            CASE('schltot')
+#if defined key_hadocc
+               ! Surface chlorophyll from HadOCC
+               zsurfvar(:,:) = HADOCC_CHL(:,:,1)
+#elif defined key_medusa && defined key_foam_medusa
+               ! Add non-diatom and diatom surface chlorophyll from MEDUSA
+               zsurfvar(:,:) = trn(:,:,1,jpchn) + trn(:,:,1,jpchd)
+#elif defined key_fabm
+               ! Add all surface chlorophyll groups from ERSEM
+               zsurfvar(:,:) = trn(:,:,1,jp_fabm_chl1) + trn(:,:,1,jp_fabm_chl2) + &
+                  &            trn(:,:,1,jp_fabm_chl3) + trn(:,:,1,jp_fabm_chl4)
+#else
+               CALL ctl_stop( ' Trying to run schltot observation operator', &
+                  &           ' but no biogeochemical model appears to have been defined' )
+#endif
+
+            CASE('slphytot')
+#if defined key_hadocc
+               ! Surface phytoplankton nitrogen from HadOCC multiplied by C:N ratio
+               zsurfvar(:,:) = trn(:,:,1,jp_had_phy) * c2n_p
+#elif defined key_medusa && defined key_foam_medusa
+               ! Add non-diatom and diatom surface phytoplankton nitrogen from MEDUSA
+               ! multiplied by C:N ratio for each
+               zsurfvar(:,:) = (trn(:,:,1,jpphn) * xthetapn) + (trn(:,:,1,jpphd) * xthetapd)
+#elif defined key_fabm
+               ! Add all surface phytoplankton carbon groups from ERSEM
+               zsurfvar(:,:) = trn(:,:,1,jp_fabm_p1c) + trn(:,:,1,jp_fabm_p2c) + &
+                  &            trn(:,:,1,jp_fabm_p3c) + trn(:,:,1,jp_fabm_p4c)
+#else
+               CALL ctl_stop( ' Trying to run slphytot observation operator', &
+                  &           ' but no biogeochemical model appears to have been defined' )
+#endif
+               llog10 = .TRUE.
+
+            CASE('slphydia')
+#if defined key_hadocc
+               CALL ctl_stop( ' Trying to run slphydia observation operator', &
+                  &           ' but HadOCC does not explicitly simulate diatoms' )
+#elif defined key_medusa && defined key_foam_medusa
+               ! Diatom surface phytoplankton nitrogen from MEDUSA multiplied by C:N ratio
+               zsurfvar(:,:) = trn(:,:,1,jpphd) * xthetapd
+#elif defined key_fabm
+               ! Diatom surface phytoplankton carbon from ERSEM
+               zsurfvar(:,:) = trn(:,:,1,jp_fabm_p1c)
+#else
+               CALL ctl_stop( ' Trying to run slphydia observation operator', &
+                  &           ' but no biogeochemical model appears to have been defined' )
+#endif
+               llog10 = .TRUE.
+
+            CASE('slphynon')
+#if defined key_hadocc
+               CALL ctl_stop( ' Trying to run slphynon observation operator', &
+                  &           ' but HadOCC does not explicitly simulate non-diatoms' )
+#elif defined key_medusa && defined key_foam_medusa
+               ! Non-diatom surface phytoplankton nitrogen from MEDUSA multiplied by C:N ratio
+               zsurfvar(:,:) = trn(:,:,1,jpphn) * xthetapn
+#elif defined key_fabm
+               ! Add all non-diatom surface phytoplankton carbon groups from ERSEM
+               zsurfvar(:,:) = trn(:,:,1,jp_fabm_p2c) + &
+                  &            trn(:,:,1,jp_fabm_p3c) + trn(:,:,1,jp_fabm_p4c)
+#else
+               CALL ctl_stop( ' Trying to run slphynon observation operator', &
+                  &           ' but no biogeochemical model appears to have been defined' )
+#endif
+               llog10 = .TRUE.
+
+            CASE('sspm')
 #if defined key_spm
                zsurfvar(:,:) = 0.0
@@ -822,8 +1394,9 @@
                END DO
 #else
-               CALL ctl_stop( ' Trying to run spm observation operator', &
+               CALL ctl_stop( ' Trying to run sspm observation operator', &
                   &           ' but no spm model appears to have been defined' )
 #endif
-            CASE('fco2')
+
+            CASE('sfco2')
 #if defined key_hadocc
                zsurfvar(:,:) = HADOCC_FCO2(:,:)    ! fCO2 from HadOCC
@@ -861,8 +1434,9 @@
                   &            (82.0578 * (tsn(:,:,1,jp_tem)+rt0)))
 #else
-               CALL ctl_stop( ' Trying to run fco2 observation operator', &
-                  &           ' but no biogeochemical model appears to have been defined' )
-#endif
-            CASE('pco2')
+               CALL ctl_stop( ' Trying to run sfco2 observation operator', &
+                  &           ' but no biogeochemical model appears to have been defined' )
+#endif
+
+            CASE('spco2')
 #if defined key_hadocc
                zsurfvar(:,:) = HADOCC_PCO2(:,:)    ! pCO2 from HadOCC
@@ -880,5 +1454,5 @@
                zsurfvar(:,:) = pco2_3d(:,:,1)
 #else
-               CALL ctl_stop( ' Trying to run pCO2 observation operator', &
+               CALL ctl_stop( ' Trying to run spco2 observation operator', &
                   &           ' but no biogeochemical model appears to have been defined' )
 #endif
@@ -889,4 +1463,15 @@
 
             END SELECT
+            
+            IF ( llog10 ) THEN
+               ! Take the log10 where we can, otherwise exclude
+               tiny = 1.0e-20
+               WHERE(zsurfvar(:,:) > tiny .AND. zsurfvar(:,:) /= obfillflt )
+                  zsurfvar(:,:)  = LOG10(zsurfvar(:,:))
+               ELSEWHERE
+                  zsurfvar(:,:)  = obfillflt
+                  zsurfmask(:,:) = 0
+               END WHERE
+            ENDIF
 
             CALL obs_surf_opt( surfdataqc(jtype), kstp, jpi, jpj,       &
@@ -898,16 +1483,8 @@
          END DO
 
+         CALL wrk_dealloc( jpi, jpj, zsurfvar )
+         CALL wrk_dealloc( jpi, jpj, zsurfmask )
+
       ENDIF
-
-      CALL wrk_dealloc( jpi, jpj, jpk, zprofvar1 )
-      CALL wrk_dealloc( jpi, jpj, jpk, zprofvar2 )
-      CALL wrk_dealloc( jpi, jpj, jpk, zprofmask1 )
-      CALL wrk_dealloc( jpi, jpj, jpk, zprofmask2 )
-      CALL wrk_dealloc( jpi, jpj, zsurfvar )
-      CALL wrk_dealloc( jpi, jpj, zsurfmask )
-      CALL wrk_dealloc( jpi, jpj, zglam1 )
-      CALL wrk_dealloc( jpi, jpj, zglam2 )
-      CALL wrk_dealloc( jpi, jpj, zgphi1 )
-      CALL wrk_dealloc( jpi, jpj, zgphi2 )
 
    END SUBROUTINE dia_obs
@@ -960,5 +1537,5 @@
                   & )
 
-               CALL obs_rotvel( profdataqc(jtype), nn_2dint, zu, zv )
+               CALL obs_rotvel( profdataqc(jtype), nn_2dint_default, zu, zv )
 
                DO jo = 1, profdataqc(jtype)%nprof
@@ -1193,43 +1770,40 @@
     END SUBROUTINE fin_date
 
-    SUBROUTINE obs_settypefiles( ntypes, jpmaxnfiles, jtype, ctypein, &
-       &                         cfilestype, ifiles, cobstypes, cfiles )
-
-    INTEGER, INTENT(IN) :: ntypes      ! Total number of obs types
-    INTEGER, INTENT(IN) :: jpmaxnfiles ! Maximum number of files allowed for each type
-    INTEGER, INTENT(IN) :: jtype       ! Index of the current type of obs
-    INTEGER, DIMENSION(ntypes), INTENT(INOUT) :: &
-       &                   ifiles      ! Out appended number of files for this type
-
-    CHARACTER(len=6), INTENT(IN) :: ctypein 
-    CHARACTER(len=128), DIMENSION(jpmaxnfiles), INTENT(IN) :: &
-       &                   cfilestype  ! In list of files for this obs type
-    CHARACTER(len=6), DIMENSION(ntypes), INTENT(INOUT) :: &
-       &                   cobstypes   ! Out appended list of obs types
-    CHARACTER(len=128), DIMENSION(ntypes, jpmaxnfiles), INTENT(INOUT) :: &
-       &                   cfiles      ! Out appended list of files for all types
-
-    !Local variables
-    INTEGER :: jfile
-
-    cfiles(jtype,:) = cfilestype(:)
-    cobstypes(jtype) = ctypein
-    ifiles(jtype) = 0
-    DO jfile = 1, jpmaxnfiles
-       IF ( trim(cfiles(jtype,jfile)) /= '' ) &
-                 ifiles(jtype) = ifiles(jtype) + 1
-    END DO
-
-    IF ( ifiles(jtype) == 0 ) THEN
-         CALL ctl_stop( 'Logical for observation type '//TRIM(ctypein)//   &
-            &           ' set to true but no files available to read' )
-    ENDIF
-
-    IF(lwp) THEN    
-       WRITE(numout,*) '             '//cobstypes(jtype)//' input observation file names:'
-       DO jfile = 1, ifiles(jtype)
-          WRITE(numout,*) '                '//TRIM(cfiles(jtype,jfile))
+    SUBROUTINE obs_settypefiles( ntypes, jpmaxnfiles, ifiles, cobstypes, cfiles )
+
+       INTEGER, INTENT(IN) :: ntypes      ! Total number of obs types
+       INTEGER, INTENT(IN) :: jpmaxnfiles ! Maximum number of files allowed for each type
+       INTEGER, DIMENSION(ntypes), INTENT(OUT) :: &
+          &                   ifiles      ! Out number of files for each type
+       CHARACTER(len=8), DIMENSION(ntypes), INTENT(IN) :: &
+          &                   cobstypes   ! List of obs types
+       CHARACTER(len=128), DIMENSION(ntypes, jpmaxnfiles), INTENT(IN) :: &
+          &                   cfiles      ! List of files for all types
+
+       !Local variables
+       INTEGER :: jfile
+       INTEGER :: jtype
+
+       DO jtype = 1, ntypes
+
+          ifiles(jtype) = 0
+          DO jfile = 1, jpmaxnfiles
+             IF ( trim(cfiles(jtype,jfile)) /= '' ) &
+                       ifiles(jtype) = ifiles(jtype) + 1
+          END DO
+
+          IF ( ifiles(jtype) == 0 ) THEN
+               CALL ctl_stop( 'Logical for observation type '//TRIM(cobstypes(jtype))//   &
+                  &           ' set to true but no files available to read' )
+          ENDIF
+
+          IF(lwp) THEN    
+             WRITE(numout,*) '             '//cobstypes(jtype)//' input observation file names:'
+             DO jfile = 1, ifiles(jtype)
+                WRITE(numout,*) '                '//TRIM(cfiles(jtype,jfile))
+             END DO
+          ENDIF
+
        END DO
-    ENDIF
 
     END SUBROUTINE obs_settypefiles
@@ -1242,67 +1816,70 @@
                &                  lfpindegs, lavnight )
 
-    INTEGER, INTENT(IN)  :: ntypes             ! Total number of obs types
-    INTEGER, INTENT(IN)  :: jtype              ! Index of the current type of obs
-    INTEGER, INTENT(IN)  :: n2dint_default     ! Default option for interpolation type
-    INTEGER, INTENT(IN)  :: n2dint_type        ! Option for interpolation type
-    REAL(wp), INTENT(IN) :: &
-       &                    ravglamscl_type, & !E/W diameter of obs footprint for this type
-       &                    ravgphiscl_type    !N/S diameter of obs footprint for this type
-    LOGICAL, INTENT(IN)  :: lfp_indegs_type    !T=> footprint in degrees, F=> in metres
-    LOGICAL, INTENT(IN)  :: lavnight_type      !T=> obs represent night time average
-    CHARACTER(len=6), INTENT(IN) :: ctypein 
-
-    INTEGER, DIMENSION(ntypes), INTENT(INOUT) :: &
-       &                    n2dint 
-    REAL(wp), DIMENSION(ntypes), INTENT(INOUT) :: &
-       &                    ravglamscl, ravgphiscl
-    LOGICAL, DIMENSION(ntypes), INTENT(INOUT) :: &
-       &                    lfpindegs, lavnight
-
-    lavnight(jtype) = lavnight_type
-
-    IF ( (n2dint_type >= 1) .AND. (n2dint_type <= 6) ) THEN
-       n2dint(jtype) = n2dint_type
-    ELSE
-       n2dint(jtype) = n2dint_default
-    ENDIF
-
-    ! For averaging observation footprints set options for size of footprint 
-    IF ( (n2dint(jtype) > 4) .AND. (n2dint(jtype) <= 6) ) THEN
-       IF ( ravglamscl_type > 0._wp ) THEN
-          ravglamscl(jtype) = ravglamscl_type
+       INTEGER, INTENT(IN)  :: ntypes             ! Total number of obs types
+       INTEGER, INTENT(IN)  :: jtype              ! Index of the current type of obs
+       INTEGER, INTENT(IN)  :: n2dint_default     ! Default option for interpolation type
+       INTEGER, INTENT(IN)  :: n2dint_type        ! Option for interpolation type
+       REAL(wp), INTENT(IN) :: &
+          &                    ravglamscl_type, & !E/W diameter of obs footprint for this type
+          &                    ravgphiscl_type    !N/S diameter of obs footprint for this type
+       LOGICAL, INTENT(IN)  :: lfp_indegs_type    !T=> footprint in degrees, F=> in metres
+       LOGICAL, INTENT(IN)  :: lavnight_type      !T=> obs represent night time average
+       CHARACTER(len=8), INTENT(IN) :: ctypein 
+
+       INTEGER, DIMENSION(ntypes), INTENT(INOUT) :: &
+          &                    n2dint 
+       REAL(wp), DIMENSION(ntypes), INTENT(INOUT) :: &
+          &                    ravglamscl, ravgphiscl
+       LOGICAL, DIMENSION(ntypes), INTENT(INOUT) :: &
+          &                    lfpindegs, lavnight
+
+       lavnight(jtype) = lavnight_type
+
+       IF ( (n2dint_type >= 0) .AND. (n2dint_type <= 6) ) THEN
+          n2dint(jtype) = n2dint_type
+       ELSE IF ( n2dint_type == -1 ) THEN
+          n2dint(jtype) = n2dint_default
        ELSE
-          CALL ctl_stop( 'Incorrect value set for averaging footprint '// &
-                         'scale (ravglamscl) for observation type '//TRIM(ctypein) )      
+          CALL ctl_stop(' Choice of '//TRIM(ctypein)//' horizontal (2D) interpolation method', &
+            &                    ' is not available')
        ENDIF
 
-       IF ( ravgphiscl_type > 0._wp ) THEN
-          ravgphiscl(jtype) = ravgphiscl_type
-       ELSE
-          CALL ctl_stop( 'Incorrect value set for averaging footprint '// &
-                         'scale (ravgphiscl) for observation type '//TRIM(ctypein) )      
+       ! For averaging observation footprints set options for size of footprint 
+       IF ( (n2dint(jtype) > 4) .AND. (n2dint(jtype) <= 6) ) THEN
+          IF ( ravglamscl_type > 0._wp ) THEN
+             ravglamscl(jtype) = ravglamscl_type
+          ELSE
+             CALL ctl_stop( 'Incorrect value set for averaging footprint '// &
+                            'scale (ravglamscl) for observation type '//TRIM(ctypein) )      
+          ENDIF
+
+          IF ( ravgphiscl_type > 0._wp ) THEN
+             ravgphiscl(jtype) = ravgphiscl_type
+          ELSE
+             CALL ctl_stop( 'Incorrect value set for averaging footprint '// &
+                            'scale (ravgphiscl) for observation type '//TRIM(ctypein) )      
+          ENDIF
+
+          lfpindegs(jtype) = lfp_indegs_type 
+
        ENDIF
 
-       lfpindegs(jtype) = lfp_indegs_type 
-
-    ENDIF
-
-    ! Write out info 
-    IF(lwp) THEN
-       IF ( n2dint(jtype) <= 4 ) THEN
-          WRITE(numout,*) '             '//TRIM(ctypein)// &
-             &            ' model counterparts will be interpolated horizontally'
-       ELSE IF ( n2dint(jtype) <= 6 ) THEN
-          WRITE(numout,*) '             '//TRIM(ctypein)// &
-             &            ' model counterparts will be averaged horizontally'
-          WRITE(numout,*) '             '//'    with E/W scale: ',ravglamscl(jtype)
-          WRITE(numout,*) '             '//'    with N/S scale: ',ravgphiscl(jtype)
-          IF ( lfpindegs(jtype) ) THEN
-              WRITE(numout,*) '             '//'    (in degrees)'
-          ELSE
-              WRITE(numout,*) '             '//'    (in metres)'
+       ! Write out info 
+       IF(lwp) THEN
+          IF ( n2dint(jtype) <= 4 ) THEN
+             WRITE(numout,*) '             '//TRIM(ctypein)// &
+                &            ' model counterparts will be interpolated horizontally'
+          ELSE IF ( n2dint(jtype) <= 6 ) THEN
+             WRITE(numout,*) '             '//TRIM(ctypein)// &
+                &            ' model counterparts will be averaged horizontally'
+             WRITE(numout,*) '             '//'    with E/W scale: ',ravglamscl(jtype)
+             WRITE(numout,*) '             '//'    with N/S scale: ',ravgphiscl(jtype)
+             IF ( lfpindegs(jtype) ) THEN
+                 WRITE(numout,*) '             '//'    (in degrees)'
+             ELSE
+                 WRITE(numout,*) '             '//'    (in metres)'
+             ENDIF
           ENDIF
        ENDIF
-    ENDIF
 
     END SUBROUTINE obs_setinterpopts
